Package org.apache.lucene.facet.rangeonrange

## Class LongRange

- java.lang.Object
- - org.apache.lucene.facet.rangeonrange.Range
  - - org.apache.lucene.facet.rangeonrange.LongRange

-     public class LongRange
      extends Range

  Represents a long range for RangeOnRange faceting

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long[]` | `max` | Maximum (inclusive).
    `long[]` | `min` | Minimum (inclusive).

    - ### Fields inherited from class org.apache.lucene.facet.rangeonrange.Range

      `dims, label`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongRange​(String label, long[] min, long[] max)` | Represents a multidimensional long range for RangeOnRange faceting
    `LongRange​(String label, long minIn, boolean minInclusive, long maxIn, boolean maxInclusive)` | Represents a single dimensional long range for RangeOnRange faceting

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.lucene.facet.rangeonrange.Range

      `failNoMatch, getLabelsFromRanges`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### min

          public final long[] min

      Minimum (inclusive).

    - #### max

          public final long[] max

      Maximum (inclusive).

  - ### Constructor Detail

    - #### LongRange

          public LongRange​(String label,
                           long minIn,
                           boolean minInclusive,
                           long maxIn,
                           boolean maxInclusive)

      Represents a single dimensional long range for RangeOnRange faceting
      Parameters:
        `label` - the name of the range
        `minIn` - the minimum
        `minInclusive` - if the minimum is inclusive
        `maxIn` - the maximum
        `maxInclusive` - if the maximum is inclusive

    - #### LongRange

          public LongRange​(String label,
                           long[] min,
                           long[] max)

      Represents a multidimensional long range for RangeOnRange faceting
      Parameters:
        `label` - the name of the range
        `min` - the minimum, inclusive
        `max` - the maximum, inclusive

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`